Parent task subject column in gantt is not fully displayed when the column is widened
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.1.2   

Resolution: Fixed Affected version: 4.1.0

Description

The Parent task subject is broken when the width of the column is wider.

 gantt_column_error.png 

Associated revisions

Revision 19756 - 2020-05-08 05:44 - Go MAEDA

Parent task subject column in gantt is not fully displayed when widened (#33220).

Patch by Yuichi HARADA.

Revision 19757 - 2020-05-08 05:46 - Go MAEDA

Merged r19756 from trunk to 4.1-stable (#33220).

History

#1 - 2020-04-01 02:14 - Jaebok Oh

Changing ID as shown below will resolve the issue.

parent.subject -> parent_subject

#2 - 2020-04-01 08:04 - Yuichi HARADA

- File gantt-column-stretched.png added

- File 33220.patch added

Jaebok Oh wrote:

Changing ID as shown below will resolve the issue.

parent.subject -> parent_subject

 +1

I think so, too. In the attached patch, the Parent task subject can be stretched properly.

 gantt-column-stretched.png 

#3 - 2020-04-02 01:11 - Jaebok Oh

Good job! :-)

#4 - 2020-05-03 08:37 - Go MAEDA

- File 33220-v2.patch added

- Target version set to Candidate for next minor release

I have slightly modified the patch.

Changed the variable name from css_class to column_name because it is used not only for CSS classes but also for ids

Changed the way of getting the "parent_subject" format string in order to reduce method calls (5 to 3)

#5 - 2020-05-04 01:22 - Go MAEDA
- Target version changed from Candidate for next minor release to 4.1.2

Setting the target version to 4.1.2.

#6 - 2020-05-07 08:17 - Go MAEDA

- Subject changed from The Parent task subject is broken when the width of the column is wider. to Parent task subject column in gantt is not fully

displayed when the column is widened

#7 - 2020-05-08 05:44 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

Files

gantt_column_error.png 49.7 KB 2020-03-31 Jaebok Oh

gantt-column-stretched.png 157 KB 2020-04-01 Yuichi HARADA

33220.patch 1.86 KB 2020-04-01 Yuichi HARADA

33220-v2.patch 1.85 KB 2020-05-03 Go MAEDA
